Update a payroll connect payload rule tree structure
patch
/hcmRestApi/resources/11.13.18.05/payrollConnectPayloadRuleTreeStructs/{ObjectId}
Request
Path Parameters
-
ObjectId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/json
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : payrollConnectPayloadRuleTreeStructs-item-response
Type:
Show Source
object-
BaseName: string
Read Only:
trueMaximum Length:80Base name for the payroll connect payload rule tree structure. -
BatchFlg: string
Read Only:
trueMaximum Length:20Batch flag for the payroll connect payload rule tree structure. -
CriteriaDbiName: string
Read Only:
trueMaximum Length:4000Criteria DBI name for the payroll connect payload rule tree structure. -
CriteriaSelType: string
Read Only:
trueMaximum Length:4000Criteria selection type for the payroll connect payload rule tree structure. -
CriteriaSelValue: string
Read Only:
trueMaximum Length:4000Criteria selection value for the payroll connect payload rule tree structure. -
CriteriaValueset: string
Read Only:
trueMaximum Length:4000Set of values for criteria for the payroll connect payload rule tree structure. -
DataType: string
Read Only:
trueMaximum Length:80Data type for the payroll connect payload rule tree structure. -
DisplayFlg: string
Read Only:
trueMaximum Length:4000Display flag for the payroll connect payload rule tree structure. -
HideFlg: string
Read Only:
trueMaximum Length:30Hide flag for the payroll connect payload rule tree structure. -
KeyFlg: string
Read Only:
trueMaximum Length:4000Key flag for the payroll connect payload rule tree structure. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MandatoryFlg: string
Read Only:
trueMaximum Length:20Mandatory flag for the payroll connect payload rule tree structure. -
Name: string
Read Only:
trueMaximum Length:255Name for the payroll connect payload rule tree structure. -
ObjectId: integer
(int64)
Read Only:
trueObject identifier for the payroll connect payload rule tree structure. -
ObjectType: string
Read Only:
trueMaximum Length:255Object type for the payroll connect payload rule tree structure. -
ParentObjectId: integer
(int64)
Read Only:
trueParent object identifier for the payroll connect payload rule tree structure. -
ParentObjectType: string
Read Only:
trueMaximum Length:10Parent object type for the payroll connect payload rule tree structure. -
RequiredFlg: string
Read Only:
trueMaximum Length:4000Required flag for the payroll connect payload rule tree structure. -
TypeCode: string
Read Only:
trueMaximum Length:30Type code for the payroll connect payload rule tree structure.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.